agency-board
POST /v1/agency/boards/{boardId}/cards/{cardId}/comments
Comment on a card.
Autenticação
Envie uma chave de API como um token bearer. Este endpoint não especifica uma permissão específica na documentação, portanto, conceda à sua chave o mínimo necessário e verifique a resposta em vez de assumir.
Este endpoint não requer um ID de organização. Sua chave já identifica a organização à qual pertence, e a resposta é delimitada a ela.
Experimente
Substitua qualquer item entre colchetes por seus próprios valores e o espaço reservado para a chave por uma chave do seu painel.
curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/cards/{cardId}/comments \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "body": <string> }'Conectado? O console da API no seu painel preenche o ID da sua organização real e a sua própria chave, e executa a requisição contra a API de produção para que você possa ver a resposta real. Abra este endpoint no console da API
Detalhes
`visibility` defaults to `internal`, so an agency comment must be widened deliberately to reach the client.
Parâmetros
| Nome | Tipo | Obrigatório | O que é |
|---|---|---|---|
boardId (path) | Uuid | Sim | Project board ID (UUIDv7). |
cardId (path) | Uuid | Sim | Board card ID (UUIDv7). |
Corpo da requisição
| Nome | Tipo | Obrigatório | O que é |
|---|---|---|---|
body | string | Sim | — |
visibility | AgencyBoardVisibility | Não | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
Resposta
| Nome | Tipo | Obrigatório | O que é |
|---|---|---|---|
id | Uuid | Sim | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_id | Uuid | Sim | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
author_id | string | Não | — |
author_is_client | boolean | Não | — |
author | AgencyBoardActor | Não | — |
body | string | Sim | — |
visibility | AgencyBoardVisibility | Sim | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
created_at | string | Sim | — |
Erros que este endpoint pode retornar
401 · 403 · 404 · 422